View Issue Details

IDProjectCategoryView StatusLast Update
0032732Open CASCADEOCCT:Visualizationpublic2021-12-19 11:22
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032732: Visualization, TKOpenGl - do not include system headers within OpenGl_GlFunctions.hxx
DescriptionIt is proposed that OpenGl_GlFunctions.hxx should not include native system OpenGL headers - user should include OpenGl_GlNative.hxx explicitly, if needed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032713 verifiedsmoskvin Visualization, OpenGl_GlFunctions - unify OpenGL and OpenGL ES function lists 
parent of 0032740 verifiedkgv Coding Rules, OpenGl_Context.cxx - new warning on macOS after integration fix for 0032732 

Activities

git

2021-12-15 16:47

administrator   ~0105997

Branch CR32732 has been created by kgv.

SHA-1: 92fe09f2a61ff616d3416ed687530a199d55eb71


Detailed log of new commits:

Author: kgv
Date: Wed Dec 15 16:47:25 2021 +0300

    0032732: Visualization, TKOpenGl - do not include system headers within OpenGl_GlFunctions.hxx

git

2021-12-15 17:18

administrator   ~0105999

Branch CR32732 has been updated forcibly by kgv.

SHA-1: b40cb53e17a04bbcbd9ae4311fe04239c396c7fd

git

2021-12-15 17:39

administrator   ~0106000

Branch CR32732 has been updated forcibly by kgv.

SHA-1: 65dce62649c8c126ae3ef9f71339a792379ed2ca

git

2021-12-15 17:51

administrator   ~0106001

Branch CR32732 has been updated forcibly by kgv.

SHA-1: 2a6beefcd5eb68af7cdd6cf152ba97a17f392988

git

2021-12-15 20:49

administrator   ~0106002

Branch CR32732 has been updated forcibly by kgv.

SHA-1: d0a6d0e304d58d4bf32d6a61d67801a0c1f96f62

git

2021-12-15 21:23

administrator   ~0106003

Branch CR32732 has been updated forcibly by kgv.

SHA-1: 92ce1d8ed6b779148c8c20522a4635ea21692281

kgv

2021-12-16 01:22

developer   ~0106007

Please raise the patch
- OCCT: branch CR32732;
- OCC Products: branch CR32732.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32732-CR32732-KGV/

smoskvin

2021-12-17 10:23

administrator   ~0106048

Problems of compilation with Debian80-64
http://jenkins-test-08.nnov.opencascade.com/view/CR0-WEEK-50/view/OCCT%20compile/job/CR0-WEEK-50-OCCT-Debian80-64-opt-compile/3/parsed_console/

kgv

2021-12-17 12:11

developer   ~0106049

> Problems of compilation with Debian80-64
By "compilation" you mean Doxygen generation warning?

git

2021-12-17 12:27

administrator   ~0106050

Branch CR32732 has been updated forcibly by kgv.

SHA-1: e15739f31c0ec8693edb2d091f49e2f42544a225

kgv

2021-12-17 12:29

developer   ~0106051

Please take updated patch.

smoskvin

2021-12-18 15:24

administrator   ~0106070

Combination -
OCCT branch : IR-2021-12-17
master SHA - 302ad26bffd1ef35a61b8b25b79b9376d9a3e906
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-17 SHA - 98edda224f5e3516cba5be029bc70c3df45ca649
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18206.60000000041 / 18222.99000000043 [-0.09%]
Products
Total CPU difference: 11646.460000000101 / 11645.100000000084 [+0.01%]
Windows-64-VC14:
OCCT
Total CPU difference: 20012.890625 / 20000.0 [+0.06%]
Products
Total CPU difference: 13093.890625 / 13044.453125 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-19 11:17

administrator   ~0106084

Branch CR32732 has been deleted by mnt.

SHA-1: e15739f31c0ec8693edb2d091f49e2f42544a225

Related Changesets

occt: master 4d476dd2

2021-12-15 16:47:25

kgv


Committer: smoskvin Details Diff
0032732: Visualization, TKOpenGl - do not include system headers within OpenGl_GlFunctions.hxx Affected Issues
0032732
mod - dox/upgrade/upgrade.md Diff File
mod - src/D3DHost/D3DHost_FrameBuffer.cxx Diff File
mod - src/OpenGl/OpenGl_Caps.cxx Diff File
mod - src/OpenGl/OpenGl_Context.cxx Diff File
mod - src/OpenGl/OpenGl_Context_1.mm Diff File
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff File
mod - src/OpenGl/OpenGl_GlTypes.hxx Diff File
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff File
mod - src/OpenGl/OpenGl_SceneGeometry.cxx Diff File
mod - src/OpenGl/OpenGl_Window.cxx Diff File
mod - src/OpenGl/OpenGl_Window_1.mm Diff File

occt-products: master 8b2b9a6f

2021-12-15 17:08:57

kgv


Committer: smoskvin Details Diff
0032732: Visualization, TKOpenGl - do not include system headers within OpenGl_GlFunctions.hxx Affected Issues
0032732
mod - diff Diff File
mod - diff Diff File
mod - src/PrsPointCloud/PrsPointCloud_RasterRenderer.cxx Diff File
mod - src/VolumeRender/VolumeRender_VolumeTexture.cxx Diff File

Issue History

Date Modified Username Field Change
2021-12-15 16:47 kgv New Issue
2021-12-15 16:47 kgv Assigned To => kgv
2021-12-15 16:47 git Note Added: 0105997
2021-12-15 16:49 kgv Relationship added related to 0032713
2021-12-15 17:18 git Note Added: 0105999
2021-12-15 17:39 git Note Added: 0106000
2021-12-15 17:51 git Note Added: 0106001
2021-12-15 20:49 git Note Added: 0106002
2021-12-15 21:23 git Note Added: 0106003
2021-12-16 01:22 kgv Assigned To kgv => bugmaster
2021-12-16 01:22 kgv Status new => resolved
2021-12-16 01:22 kgv Test case number => N/A
2021-12-16 01:22 kgv Note Added: 0106007
2021-12-16 01:22 kgv Status resolved => reviewed
2021-12-17 10:23 smoskvin Assigned To bugmaster => kgv
2021-12-17 10:23 smoskvin Status reviewed => assigned
2021-12-17 10:23 smoskvin Note Added: 0106048
2021-12-17 12:11 kgv Note Added: 0106049
2021-12-17 12:27 git Note Added: 0106050
2021-12-17 12:29 kgv Assigned To kgv => bugmaster
2021-12-17 12:29 kgv Status assigned => resolved
2021-12-17 12:29 kgv Note Added: 0106051
2021-12-17 12:29 kgv Status resolved => reviewed
2021-12-18 15:24 smoskvin Status reviewed => tested
2021-12-18 15:24 smoskvin Note Added: 0106070
2021-12-18 20:24 smoskvin Changeset attached => occt master 4d476dd2
2021-12-18 20:24 kgv Assigned To bugmaster => kgv
2021-12-18 20:24 kgv Status tested => verified
2021-12-18 20:24 kgv Resolution open => fixed
2021-12-18 20:24 smoskvin Changeset attached => occt-products master 8b2b9a6f
2021-12-19 02:12 kgv Relationship added parent of 0032740
2021-12-19 11:17 git Note Added: 0106084